#pragma once
#include "Entity.h"
#include "EntityStateGravity.h"
//捕获气泡
class CS_JackCatcherBubble :
    public Entity
{
public:
    CS_JackCatcherBubble(std::weak_ptr<Entity> target, bool bCaught = false);
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void TargetControl();
    void SetSpray();
    void Destroy() override;
    std::weak_ptr<Entity> target;
    EntityStateGravity stateGravity;
    bool bCaught = false;//是抓取的方式控制的目标
    int controlTime = 300;
    bool target_attackState = false;
    int target_damage_reset_counter = 0;
    int target_attackState_reset_counter_max = 0;
    bool target_drawBeforeOtherEntity = false;
    float target_vx = 0;
    float target_vy = 0;
};

